Bug 121798 - xml2pot creates pot files as application/x-xml2pot
Summary: xml2pot creates pot files as application/x-xml2pot
Status: RESOLVED FIXED
Alias: None
Product: docs.kde.org
Classification: Websites
Component: ksgmltools (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Docbook Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-11 23:20 UTC by Peter Eisentraut
Modified: 2011-03-02 23:38 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Eisentraut 2006-02-11 23:20:11 UTC
Version:            (using KDE KDE 3.5.1KDE 3.4.3)
Installed from:    Debian testing/unstable PackagesDebian testing/unstable Packages

xml2pot creates files with a content type like this:

Content-Type: application/x-xml2pot; charset=UTF-8

Normal POT files have headers like this:

Content-Type: text/plain; charset=UTF-8

This confuses PO editing tools such as the the emacs gettext mode.  If xml2pot creates real POT files, which I assume it does, it should use the right content type.  If the result is not a real POT file, there is no point in calling it xml2pot.
Comment 1 Nicolas Goutte 2006-02-12 16:52:42 UTC
Thank you for confirming that this mime type is a bad idea. I had planned to find an idea how to change this in KDE4.

Unfortunately for KDE3, this is more like a "feature". A few KDE tools, including KBabel, knows about this and reacts in consequence (e.g. for KBabel: filling the translators' placeholders).

Have a nice day!
Comment 2 Marek Laane 2007-07-31 23:50:23 UTC
Any news about it?
Comment 3 Marek Laane 2007-08-31 23:23:10 UTC
Any reaction?
Comment 4 Luigi Toscano 2011-03-02 22:14:02 UTC
SVN commit 1223417 by ltoscano:

Use the correct mimetype for pot files.

CCBUG: 121798


 M  +1 -1      xml2pot.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1223417
Comment 5 Luigi Toscano 2011-03-02 23:38:20 UTC
SVN commit 1223428 by ltoscano:

Backport r1223417: Use the correct mimetype for pot files.

BUG: 121798
FIXED-IN: 4.6.2


 M  +1 -1      xml2pot.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1223428